Get list elements

This method allows getting available list elements.

Limitations
The method is available for users with access to lists.

Data type header when the request is successful
Content-Type: application/hal+json

Data type header in case of an error
Content-Type: application/problem+json

Response parameters

The method returns an array of list element objects.

ParametersData typeDescription
idintList element ID
catalog_idintList ID
namestringElement name
created_byintThe ID of the user who created the element
updated_byintThe ID of the user who edited the element last
created_atintElement creation date in Unix Timestamp format
updated_atintElement edit date in Unix Timestamp format
is_deletedboolIt shows whether an element is deleted
custom_fields_valuesarray|nullAn array of the current element custom fields’ values
account_idintAccount ID where the element is located in
Path Params
int32
required

List ID

Query Params
int32

Page of response

int32

The number of the entities returned in the response to one request (limit – 250)

string

Search query (can be used to search custom fields values)

filter[id][]
array of int32s

Filter by element ID. Multiple IDs can be passed

filter[id][]
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json